// -*- coding: iso-8859-1-unix -*-

#include "ProjectDataViewImpl.hpp"

namespace tecgraf { namespace openbus { namespace data_service {
namespace project { namespace v1_02 {

ProjectDataViewImpl::ProjectDataViewImpl()
{
}

ProjectDataViewImpl::~ProjectDataViewImpl()
{
}

ProjectDataViewImpl::ProjectDataViewImpl(
  const dataservice_core::DataKey &_itfld_fKey,
  const char *_itfld_fOwner,
  const char *_itfld_fDescription,
  const char *_itfld_fPath,
  const char *_itfld_fSoftware,
  CORBA::LongLong _itfld_fSize,
  const StringSeq &_itfld_fReadingUsers,
  const StringSeq & _itfld_fWritingUsers,
  dataservice_core::TimeStamp _itfld_fCreationDate,
  dataservice_core::TimeStamp _itfld_fModificationDate
  ) 
{
  fKey(_itfld_fKey);
  fOwner(_itfld_fOwner);
  fDescription(_itfld_fDescription);
  fPath(_itfld_fPath);
  fSoftware(_itfld_fSoftware);
  fSize(_itfld_fSize);
  fReadingUsers(_itfld_fReadingUsers);
  fWritingUsers(_itfld_fWritingUsers);
  fCreationDate(_itfld_fCreationDate);
  fModificationDate(_itfld_fModificationDate);
}


CORBA::ValueBase *ProjectDataViewImpl::_copy_value()
{
  return new ProjectDataViewImpl(
    fKey(),
    fOwner(),
    fDescription(),
    fPath(),
    fSoftware(),
    fSize(),
    fReadingUsers(),
    fWritingUsers(),
    fCreationDate(),
    fModificationDate()
    );
}

dataservice_core::DataKey *ProjectDataViewImpl::getKey()
{
  return &(fKey());
}

char *ProjectDataViewImpl::getInterfaceName()
{
  return (char *)_tc_ProjectDataView->id();
}

ProjectDataViewFactory::~ProjectDataViewFactory()
{
}

CORBA::ValueBase *ProjectDataViewFactory::create_for_unmarshal(){
  return new ProjectDataViewImpl();
}

} } } } }
