// -*- coding: iso-8859-1-unix -*-

#include "ProjectItemDataViewImpl.hpp"

namespace tecgraf { namespace openbus { namespace data_service {
namespace project { namespace v1_02 {

ProjectItemDataViewImpl::ProjectItemDataViewImpl()
{
}

ProjectItemDataViewImpl::~ProjectItemDataViewImpl()
{
}

ProjectItemDataViewImpl::ProjectItemDataViewImpl(
  const dataservice_core::DataKey &_itfld_fKey,
  const char *_itfld_fOwner,
  const char *_itfld_fDescription,
  const char *_itfld_fPath,
  const char *_itfld_fType,
  CORBA::LongLong _itfld_fSize,
  CORBA::Boolean _itfld_fIsContainer,
  CORBA::Boolean _itfld_fCanRead,
  CORBA::Boolean _itfld_fCanWrite,
  dataservice_core::TimeStamp _itfld_fCreationDate,
  dataservice_core::TimeStamp _itfld_fModificationDate
  ) 
{
  fKey(_itfld_fKey);
  fOwner(_itfld_fOwner);
  fDescription(_itfld_fDescription);
  fPath(_itfld_fPath);
  fType(_itfld_fType);
  fSize(_itfld_fSize);
  fIsContainer(_itfld_fIsContainer);
  fCanRead(_itfld_fCanRead);
  fCanWrite(_itfld_fCanWrite);
  fCreationDate(_itfld_fCreationDate);
  fModificationDate(_itfld_fModificationDate);
}


CORBA::ValueBase *ProjectItemDataViewImpl::_copy_value()
{
  return new ProjectItemDataViewImpl(
    fKey(),
    fOwner(),
    fDescription(),
    fPath(),
    fType(),
    fSize(),
    fIsContainer(),
    fCanRead(),
    fCanWrite(),
    fCreationDate(),
    fModificationDate()
    );
}

  dataservice_core::DataKey *ProjectItemDataViewImpl::getKey()
{
  return &(fKey());
}

char *ProjectItemDataViewImpl::getInterfaceName()
{
  return (char *)_tc_ProjectItemDataView->id();
}

ProjectItemDataViewFactory::~ProjectItemDataViewFactory()
{
}

CORBA::ValueBase *ProjectItemDataViewFactory::create_for_unmarshal(){
 return new ProjectItemDataViewImpl();
}

} } } } }
